Complete micro-deposits | Moov Documentation
Complete micro-deposits
Complete the micro-deposit validation process by passing the amounts of the two transfers within three tries.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/bank-accounts.write scope.
PUT
/accounts/{accountID}/bank-accounts/{bankAccountID}/micro-deposits
Ask
curl -X PUT "https://api.moov.io/accounts/{accountID}/bank-accounts/{bankAccountID}/micro-deposits" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00" \
-d '{\
"amounts": [\
18,\
21\
]\
}'
Ask
mc, _ := moov.NewClient()
var accountID string
var bankAccountID string
amounts := []int{18, 21}
mc.MicroDepositConfirm(ctx, accountID, bankAccountID, amounts)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.bankAccounts.completeMicroDeposits({
accountID: "af0efd2b-a1fa-40fd-998b-2007b8df0766",
bankAccountID: "b468e916-699b-4590-becf-ede76d1413cb",
completeMicroDeposits: {
amounts: [\
18,\
21,\
],
},
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\\MoovPhp;
use Moov\\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$completeMicroDeposits = new Components\CompleteMicroDeposits(
amounts: [\
18,\
21,\
],
);
$response = $sdk->bankAccounts->completeMicroDeposits(
accountID: 'af0efd2b-a1fa-40fd-998b-2007b8df0766',
bankAccountID: 'b468e916-699b-4590-becf-ede76d1413cb',
completeMicroDeposits: $completeMicroDeposits
);
if ($response->completedMicroDeposits !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.CompleteMicroDeposits;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.errors.MicroDepositValidationError;
import io.moov.sdk.models.operations.CompleteMicroDepositsResponse;
import java.lang.Exception;
import java.util.List;
public class Application {
public static void main(String[] args) throws GenericError, MicroDepositValidationError, Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
CompleteMicroDepositsResponse res = sdk.bankAccounts().completeMicroDeposits()
.accountID("af0efd2b-a1fa-40fd-998b-2007b8df0766")
.bankAccountID("b468e916-699b-4590-becf-ede76d1413cb")
.completeMicroDeposits(CompleteMicroDeposits.builder()
.amounts(List.of(
18L,
21L))
.build())
.call();
if (res.completedMicroDeposits().isPresent()) {
System.out.println(res.completedMicroDeposits().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.bank_accounts.complete_micro_deposits(account_id="af0efd2b-a1fa-40fd-998b-2007b8df0766", bank_account_id="b468e916-699b-4590-becf-ede76d1413cb", amounts=[\
18,\
21,\
])
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.bank_accounts.complete_micro_deposits(account_id: 'af0efd2b-a1fa-40fd-998b-2007b8df0766', bank_account_id: 'b468e916-699b-4590-becf-ede76d1413cb', complete_micro_deposits: Models::Components::CompleteMicroDeposits.new(
amounts: [\
18,\
21,\
]
))
unless res.completed_micro_deposits.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
using System.Collections.Generic;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.BankAccounts.CompleteMicroDepositsAsync(
accountID: "af0efd2b-a1fa-40fd-998b-2007b8df0766",
bankAccountID: "b468e916-699b-4590-becf-ede76d1413cb",
body: new CompleteMicroDeposits() {
Amounts = new List<long>() {
18,
21,
},
}
);
// handle response
The request completed successfully.
Ask
Example
{
"status": "verified"
}
Response headers
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
Ask
Example
{
"error": "string"
}
Response headers
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
Ask
Example
{
"error": "string"
}
Response headers
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
Ask
Example
{
"amounts": "string"
}
Response headers
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
A unique identifier used to trace requests.
Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.04.00
Request to complete the micro-deposit verification workflow.
Two positive integers, in cents, equal to the values of the micro-deposits sent to the bank account.
Possible values:
verified